Name:		crda
Version:	1.1.3
Release:	%mkrel 2
Summary:	Software to upload wireless regulatory information into kernel
License:	ISC
Group:		System/Kernel and hardware
URL:		http://linuxwireless.org/en/developers/Regulatory/CRDA
Source0:	http://wireless.kernel.org/download/crda/crda-%{version}.tar.bz2
Source2:        setregdomain
Source3:        setregdomain.1
# Add udev rule to call setregdomain on wireless device add
Patch1:         regulatory-rules-setregdomain.patch
Requires:	udev
Requires:	wireless-regdb
BuildRequires:	libgcrypt-devel
BuildRequires:	libnl3-devel
BuildRequires:	python-m2crypto
BuildRequires:	wireless-regdb

%description
CRDA acts as the udev helper for communication between the kernel and
userspace for regulatory compliance. It relies on nl80211 for
communication. CRDA is intended to be run only through udev
communication from the kernel. The user should never have to run it
manually except if debugging udev issues.

%prep
%setup -q
%patch1 -p1

%build
export CFLAGS="%{optflags}"
%make V=1

%install
%makeinstall_std SBINDIR=%{_sbindir} UDEV_RULE_DIR=%{_udevrulesdir}
mkdir -p %{buildroot}%{_prefix}/lib/crda
install -D -pm 0755 %SOURCE2 %{buildroot}%{_sbindir}/
install -D -pm 0644 %SOURCE3 %{buildroot}%{_mandir}/man1/setregdomain.1

%files
%doc LICENSE
%dir %{_prefix}/lib/crda
%{_mandir}/man1/setregdomain.1*
%{_mandir}/man8/crda.8*
%{_mandir}/man8/regdbdump.8*
%{_udevrulesdir}/85-regulatory.rules
%defattr(0755,root,root,0755)
%{_sbindir}/crda
%{_sbindir}/regdbdump
%{_sbindir}/setregdomain


%changelog

* Tue Feb 05 2013 tmb <tmb> 1.1.3-2.mga3
+ Revision: 394706
- fix udev crda call path

* Sun Jan 27 2013 tmb <tmb> 1.1.3-1.mga3
+ Revision: 392756
- update to 1.1.3

* Wed Jan 23 2013 fwang <fwang> 1.1.2-5.mga3
+ Revision: 391224
- updat macro
- update rpm group and prefix

* Fri Jan 11 2013 umeabot <umeabot> 1.1.2-4.mga3
+ Revision: 348296
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Mar 20 2012 tmb <tmb> 1.1.2-3.mga2
+ Revision: 225074
- adapt setregdomain for Mageia
- add setregdomain to set correct wireless regulatory domain on udev trigger (fedora)

* Tue Mar 20 2012 tmb <tmb> 1.1.2-2.mga2
+ Revision: 224997
- build with libnl3

* Fri Jan 06 2012 tmb <tmb> 1.1.2-1.mga2
+ Revision: 192666
- update to 1.1.2
- imported package crda

